<?php

namespace Planaday\Database\Abstraction\SQLQuery\QueryBuilding;

use Planaday\Database\Abstraction\SQLQuery\QueryBuilding\SQLUseInterfaces\SQLComparable;
use Planaday\Database\Abstraction\SQLQuery\QueryBuilding\SQLUseInterfaces\SQLSelectable;

interface SQLColumn extends SQLSelectable, SQLComparable {

	public function getColumn(): string;

	public function getTable(): string;

	function getFullColumnIdentifier(): string;

	function setOrderDirection(bool $ascending): self;

	function getOrderQuery(): string;
}